Summary:	Fast, reliable, and secure node dependency management
Name:		yarn
Version:	1.22.10
Release:	2
License:	BSD
Group:		Development/Tools
Source0:	https://github.com/yarnpkg/yarn/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	52e8dbe9d0cb90683dd3ee2ebf2becb8
URL:		https://classic.yarnpkg.com/lang/en/
BuildRequires:	rpmbuild(macros) >= 1.634
BuildRequires:	sed >= 4.0
Requires:	nodejs >= 4.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fast, reliable, and secure dependency management. Yarn: Fast,
reliable, and secure dependency management.

Fast: Yarn caches every package it downloads so it never needs to
again. It also parallelizes operations to maximize resource
utilization so install times are faster than ever.

Reliable: Using a detailed, but concise, lockfile format, and a
deterministic algorithm for installs, Yarn is able to guarantee that
an install that worked on one system will work exactly the same way on
any other system.

Secure: Yarn uses checksums to verify the integrity of every installed
package before its code is executed.

%prep
%setup -q -n %{name}-v%{version}

%{__rm} bin/*.cmd
%{__rm} bin/yarn
%{__rm} bin/yarnpkg
%{__sed} -i -e '1s,^#!.*node,#!/usr/bin/node,' bin/yarn.js lib/cli.js

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{nodejs_libdir}/%{name},%{_bindir}}

cp -a lib bin package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{name}
ln -s %{nodejs_libdir}/%{name}/bin/%{name}.js $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/yarnpkg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/yarn
%attr(755,root,root) %{_bindir}/yarnpkg
%defattr(-,root,root,-)
%{nodejs_libdir}/%{name}
%changelog
* Tue Feb 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yarn.git;a=log;h=master

* Tue Feb 11 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 96089aa
- Release 2 (by relup.sh)

* Sat Mar 06 2021 Elan Ruusamäe <glen@pld-linux.org> 9a277be
- Up to 1.22.10

* Sat Mar 06 2021 Elan Ruusamäe <glen@pld-linux.org> 2a23f5f
- Up to 1.22.5, this is classic yarn not 2.x

* Tue Mar 17 2020 Elan Ruusamäe <glen@pld-linux.org> 36ade2a
- Update to 1.22.4

* Fri Jan 04 2019 Elan Ruusamäe <glen@pld-linux.org> 9eb2586
- up to 1.12.3

* Tue Oct 30 2018 Elan Ruusamäe <glen@pld-linux.org> bc001d7
- up to 1.12.1

* Thu Sep 27 2018 Elan Ruusamäe <glen@pld-linux.org> 170003c
- up to 1.10.1

* Thu Sep 06 2018 Elan Ruusamäe <glen@pld-linux.org> a81ae95
- up to 1.9.4

* Mon May 28 2018 Elan Ruusamäe <glen@pld-linux.org> 7435923
- up to 1.6.0

* Sun Mar 11 2018 Elan Ruusamäe <glen@pld-linux.org> 1f81927
- up to 1.5.1

* Tue Nov 28 2017 Elan Ruusamäe <glen@pld-linux.org> 6a7b726
- up to 1.3.2

* Tue Sep 26 2017 Elan Ruusamäe <glen@pld-linux.org> c8d0b80
- up to 1.1.0

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> 6b0a8ee
- up to 0.27.5

* Mon May 22 2017 Elan Ruusamäe <glen@delfi.ee> dfd165f
- up to 0.24.5

* Wed Apr 19 2017 Elan Ruusamäe <glen@delfi.ee> 1f4e8cb
- cleanup bin

* Wed Apr 19 2017 Elan Ruusamäe <glen@delfi.ee> 48ff700
- up to 0.23.2

* Tue Apr 18 2017 Elan Ruusamäe <glen@delfi.ee> b3fffc6
- new, version 0.21.3

